This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 35110 - SourceDescriptor contains classes
Summary: SourceDescriptor contains classes
Status: CLOSED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Project (show other bugs)
Version: 3.x
Hardware: PC Linux
: P2 blocker (vote)
Assignee: Tomas Zezula
URL:
Keywords:
Depends on: 34057
Blocks:
  Show dependency tree
 
Reported: 2003-07-23 17:09 UTC by Ondrej Rypacek
Modified: 2003-12-11 14:23 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Rypacek 2003-07-23 17:09:53 UTC
Java source descriptor -- a descriptor with
MIME_PROJECT_SOURCE -- contains .class files . It
should contain just sources (.java, properties, etc.)
Comment 1 Tomas Zezula 2003-07-25 09:45:16 UTC
The classes are contained only in the case when the compilation output
is placed into the source folder.
The classes should be filtered by the decorating file set.
Comment 2 Tomas Zezula 2003-07-31 13:22:42 UTC
Already fixed, but I can't commit it before David will fix the issues
andmake registry a bit more usable.

Comment 3 Tomas Zezula 2003-09-18 12:53:57 UTC
Fixed
Comment 4 Ondrej Rypacek 2003-09-25 13:06:02 UTC
verified
Comment 5 Jan Becicka 2003-11-25 14:22:09 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss the
current work on projects prototype has been stopped.

Marking issue as CLOSED.